﻿.quote blockquote { font-weight: bold; font-size: 20px; line-height: 1.6; font-style: italic; margin-bottom: 16px; position: relative; }

.box_content .detail__image { margin: 0; }

.box-settings { display: none; }

@media screen and (max-width: 1024px) {
    iframe { max-width: 100% !important; margin: 0 auto !important; }
}

.box_content figcaption { color: #808080; font-size: 16px; margin-top: 8px; padding: 0 24px; }

.audio figcaption { color: #808080; font-size: 16px; margin-top: 8px; padding: 0 24px; }

@media screen and (max-width: 768px) {

    .news-type6.article-editor { padding: 10px; }

    .news-type6 .detail__image { margin: 0; }

    .block-detail-magazine .flexbox-sharea-detail { padding: 10px; }

    .article-editor.news-type12 { padding: 0 10px; }
    /*magazine body*/
}

.embed-block.embed-youtube iframe { aspect-ratio: 16 / 9; width: 100%; height: 100%; }

video { max-width: 100%; }


.photo-gallery { display: grid; grid-template-columns: auto auto; gap: 10px; margin-bottom: 10px; }

    .photo-gallery figure { margin: 0; }

    .photo-gallery img { width: 100%; height: 100%; object-fit: cover; border-radius: 4px; }

    .photo-gallery.img-count-3, .photo-gallery.img-count-7 { grid-template-columns: auto auto auto; }

        .photo-gallery.img-count-3 .gallery-item:first-child { grid-row: 1 / span 2; grid-column: 1 / span 2; }

    .photo-gallery.img-count-5 { display: grid; grid-template-columns: repeat(6, 1fr); /* 6 cột bằng nhau */ grid-gap: 10px; }

        /* Hàng trên: 2 ảnh */
        .photo-gallery.img-count-5 .gallery-item:nth-child(1) { grid-column: 1 / span 3; /* cột 1 -> 3 */ grid-row: 1; }

        .photo-gallery.img-count-5 .gallery-item:nth-child(2) { grid-column: 4 / span 3; /* cột 4 -> 6 */ grid-row: 1; }

        /* Hàng dưới: 3 ảnh */
        .photo-gallery.img-count-5 .gallery-item:nth-child(3) { grid-column: 1 / span 2; /* cột 1 -> 2 */ grid-row: 2; }

        .photo-gallery.img-count-5 .gallery-item:nth-child(4) { grid-column: 3 / span 2; /* cột 3 -> 4 */ grid-row: 2; }

        .photo-gallery.img-count-5 .gallery-item:nth-child(5) { grid-column: 5 / span 2; /* cột 5 -> 6 */ grid-row: 2; }

    .photo-gallery.img-count-6 { display: grid; grid-template-columns: repeat(6, 1fr); grid-gap: 5px; }

        .photo-gallery.img-count-6 .gallery-item:nth-child(1) { grid-column: 1 / span 2; grid-row: 1; }

        .photo-gallery.img-count-6 .gallery-item:nth-child(2) { grid-column: 3 / span 2; grid-row: 1; }

        .photo-gallery.img-count-6 .gallery-item:nth-child(3) { grid-column: 5 / span 2; grid-row: 1; }

        .photo-gallery.img-count-6 .gallery-item:nth-child(4) { grid-column: 1 / span 2; grid-row: 2; }

        .photo-gallery.img-count-6 .gallery-item:nth-child(5) { grid-column: 3 / span 2; grid-row: 2; }

        .photo-gallery.img-count-6 .gallery-item:nth-child(6) { grid-column: 5 / span 2; grid-row: 2; }

    .photo-gallery.img-count-7 { display: grid; grid-template-columns: repeat(6, 1fr); grid-gap: 5px; }

        /* Hàng 1 */
        .photo-gallery.img-count-7 .gallery-item:nth-child(1) { grid-column: 1 / span 3; grid-row: 1; }

        .photo-gallery.img-count-7 .gallery-item:nth-child(2) { grid-column: 4 / span 3; grid-row: 1; }

        /* Hàng 2 */
        .photo-gallery.img-count-7 .gallery-item:nth-child(3) { grid-column: 1 / span 2; grid-row: 2; }

        .photo-gallery.img-count-7 .gallery-item:nth-child(4) { grid-column: 3 / span 2; grid-row: 2; }

        .photo-gallery.img-count-7 .gallery-item:nth-child(5) { grid-column: 5 / span 2; grid-row: 2; }

        /* Hàng 3 */
        .photo-gallery.img-count-7 .gallery-item:nth-child(6) { grid-column: 1 / span 3; grid-row: 3; }

        .photo-gallery.img-count-7 .gallery-item:nth-child(7) { grid-column: 4 / span 3; grid-row: 3; }

    .photo-gallery img:hover { opacity: 0.9; cursor: pointer; }

.align-overBoth { margin: 0 -100px; margin-bottom: 10px; }

@media (max-width: 991px) {
    .align-overBoth { margin: 0 0 10px 0; }
}

.lg-thumb-align-middle .lg-thumb { display: flex; align-items: center; }

.photo-gallery figcaption { display: none; }

.lg-thumb-item img { width: 100%; height: 100%; object-fit: cover; }

.lg-thumb-outer { display: flex; justify-content: center; }

.lg-thumb-item.active { border: 2px solid #ED1D26; }

.photo-gallery figcaption { display: none !important; }

.lg-thumb-item img { max-width: 100%; }

.article-editor p { color: inherit !important; }

.article-editor a { color: #2196F3; }

    .article-editor a:hover { color: #C4161C; text-decoration: underline; }

.article-editor .box_content { color: #000; }

.text-justify { text-align: justify; }

.link-tool { padding: 20px; background: #FDE8E9; text-align: center; border-radius: 5px; margin-bottom: 20px; font-size: 20px; color: red; }

.list-tag .tag { background: #fff; }

.featured-row_item__title p { color: #515151 !important; }

.list-tag .tag { background: #fff; }

.featured-row_item__title p { color: #515151 !important; }

.body-magazine .list-detail-revert_item, .body-magazine .box-keyword { max-width: 700px; margin: 10px auto; margin-bottom: 24px; padding: 20px; background: #fff; }

.video figcaption { color: #808080; font-size: 16px; margin-top: 8px; padding: 0 24px; text-align: center; font-style: italic; }

video { display: block; margin: 0 auto; }

.detail-wrap #articleContent .embed-iframe { min-height: 700px; }

@media screen and (max-width: 768px) {
    .article-editor .quote.align-right, .article-editor .quote.pull-right, .article-editor .quote.align-left, .article-editor .quote.pull-left { float: none; --box-size: auto; }

    .article-editor .box_content.align-left, .article-editor .box_content.pull-left, .article-editor .box_content.align-right, .article-editor .box_content.pull-right { --box-size: auto; padding: 10px; margin: 0 0 15px 0; }
}

/*.editor-block { display: none; }
*/ .editor-block.done { display: block; }

.article-editor h3 { margin-bottom: 16px; }


.article-editor .detail__image.align-left, .article-editor .detail__image.align-right, .article-editor .detail__image.pull-left, .article-editor .detail__image.pull-right { width: calc(var(--box-size)*2); clear: both; }

    .article-editor .detail__image.align-left figcaption, .article-editor .detail__image.align-right figcaption, .article-editor .detail__image.pull-left figcaption, .article-editor .detail__image.pull-right figcaption { font-size: 16px; text-align: left }

    .article-editor .detail__image.align-left .img-responsive, .article-editor .detail__image.align-right .img-responsive, .article-editor .detail__image.pull-left .img-responsive, .article-editor .detail__image.pull-right .img-responsive { width: 100%; border-radius: 4px }

.article-editor .detail__image.align-right, .article-editor .detail__image.pull-right { --box-size: 120px; float: right; margin-left: 20px; margin-right: calc(var(--box-size)*-1) }

    .article-editor .detail__image.align-right figcaption, .article-editor .detail__image.pull-right figcaption { text-align: right }

.article-editor .detail__image.align-left, .article-editor .detail__image.pull-left { --box-size: 120px; float: left; margin-right: 20px; margin-left: calc(var(--box-size)*-1) }

    .article-editor .detail__image.align-left .img-responsive, .article-editor .detail__image.pull-left .img-responsive { width: 100%; border-radius: 4px }

.article-editor .detail__image.align-right { margin-right: 0 }

.article-editor .detail__image.align-left { margin-left: 0 }

@media(max-width: 991px) {
    .article-editor .detail__image.pull-left, .article-editor .detail__image.pull-right { margin-inline: 0 }

    .article-editor .detail__image.pull-left { margin-right: 18px }

    .article-editor .detail__image.pull-right { margin-left: 18px }
}

@media(min-width: 992px) {
    .article-editor .detail__image.align-right, .article-editor .detail__image.align-left, .article-editor .detail__image.pull-left, .article-editor .detail__image.pull-right { --box-size: 160px }
}

@media(min-width: 1200px) {
    .article-editor .detail__image.pull-left, .article-editor .detail__image.pull-right { --box-size: 180px }
}

@media(min-width: 1400px) {
    .article-editor .detail__image.pull-left, .article-editor .detail__image.pull-right { --box-size: 180px }
}

.article-editor .quote.align-right, .article-editor .quote.align-left, .article-editor .quote.pull-left, .article-editor .quote.pull-right { width: calc(var(--box-size)*2); clear: both; }

.article-editor .quote.align-left, .article-editor .quote.pull-left { --box-size: 120px; float: left; margin-right: 20px; margin-left: calc(var(--box-size)*-1) }

.article-editor .quote.align-right, .article-editor .quote.pull-right { --box-size: 120px; float: right; margin-left: 20px; margin-right: calc(var(--box-size)*-1) }

.article-editor .quote.align-right { margin-right: 0 }

.article-editor .quote.align-left { margin-left: 0 }

@media(max-width: 991px) {
    .article-editor .quote.pull-left, .article-editor .quote.pull-right { margin-inline: 0 }

    .article-editor .quote.pull-left { margin-right: 18px }

    .article-editor .quote.pull-right { margin-left: 18px }
}

@media(min-width: 1200px) {
    .article-editor .quote.align-right, .article-editor .quote.align-left, .article-editor .quote.pull-left, .article-editor .quote.pull-right { --box-size: 140px }
}

@media(min-width: 1400px) {
    .article-editor .quote.pull-left, .article-editor .quote.pull-right { --box-size: 160px }
}

.article-editor .box_content { }

    .article-editor .box_content h5 { margin-bottom: 8px; font-weight: bold }

.article-editor .box_content-2 { margin-bottom: 18px; }

.article-editor .box_content-3 { }

.article-editor .img-responsive { aspect-ratio: 16/9; object-fit: cover; object-position: top }

.article-editor .box_content.align-right, .article-editor .box_content.align-left, .article-editor .box_content.pull-left, .article-editor .box_content.pull-right { width: calc(var(--box-size)*2); clear: both; margin-bottom: 20px }

.article-editor .box_content.align-left, .article-editor .box_content.pull-left { --box-size: 120px; float: left; margin-right: 18px; margin-left: calc(var(--box-size)*-1) }

.article-editor .box_content.align-right, .article-editor .box_content.pull-right { --box-size: 120px; float: right; margin-left: 18px; margin-right: calc(var(--box-size)*-1) }

.article-editor .box_content.align-right { margin-right: 0 }

.article-editor .box_content.align-left { margin-left: 0 }

.article-editor .box_content-lg { --box-size: 0px; margin-inline: calc(var(--box-size)*-1) }

@media(max-width: 991px) {
    .article-editor .box_content-lg, .article-editor .box_content.pull-left, .article-editor .box_content.pull-right { margin-inline: 0 }

    .article-editor .box_content.pull-left { margin-right: 18px }

    .article-editor .box_content.pull-right { margin-left: 18px }
}

@media(min-width: 1200px) {
    .article-editor .box_content.align-right, .article-editor .box_content.align-left, .article-editor .box_content-lg, .article-editor .box_content.pull-left, .article-editor .box_content.pull-right { --box-size: 140px }
}

@media(min-width: 1400px) {
    .article-editor .box_content-lg, .article-editor .box_content.pull-left, .article-editor .box_content.pull-right { --box-size: 160px }
}

.article-figure.image.align-left, .article-figure.image.align-right { padding-bottom: 0; }

.article-editor .video { margin-bottom: 18px; }

.video-js { width: 100%; height: auto; }

.box_content.object-embed { border: solid 1px #ddd; border-radius: 8px; padding: 15px; }

    .box_content.object-embed img { border-radius: 8px; }

    .box_content.object-embed h3 { font-size: 16px; margin-bottom: 0; }

    .box_content.object-embed a { color: #000; }

    .box_content.object-embed.align-center { margin-bottom: 18px; }

        .box_content.object-embed.align-center .embed-item > a { display: inline-block; width: 100%; }

        .box_content.object-embed.align-center .embed-item img { width: 200px; margin-right: 10px; float: left; }

.embed-item a:hover { color: var(--text-title); text-decoration: none; }

@media(max-width: 768px) {
    .box_content.object-embed.align-center .embed-item img { width: 120px; }

    .article-editor .detail__image.align-left, .article-editor .detail__image.pull-left, .article-editor .detail__image.align-right, .article-editor .detail__image.pull-right { --box-size: 100px; }

        .article-editor .detail__image.align-left figcaption, .article-editor .detail__image.align-right figcaption, .article-editor .detail__image.pull-left figcaption, .article-editor .detail__image.pull-right figcaption { padding: 0 5px; font-size: 16px; margin-top: 3px; }

    .article-editor .box_content.object-embed.align-right, .article-editor .box_content.object-embed.pull-right, .article-editor .box_content.object-embed.align-left, .article-editor .box_content.object-embed.pull-left { --box-size: 80px; }

    .article-editor .box_content.align-right:not(.object-embed), .article-editor .box_content.pull-right:not(.object-embed), .article-editor .box_content.align-left:not(.object-embed), .article-editor .box_content.pull-left:not(.object-embed) { width: 100%; }

    .box_content.object-embed h3 { font-size: 15px; }
}

@media(max-width:1440px) {
    .article-detail-section-left .article-editor .box_content.align-left, .article-detail-section-left .article-editor .box_content.pull-left { margin-left: 0; }

    .article-detail-section-left .article-editor .box_content.align-right, .article-detail-section-left .article-editor .box_content.pull-right { margin-right: 0; }
}

.cards-article__text p:last-child { margin-bottom: 0; }

.detail__image.align-stretch { }

    .detail__image.align-stretch img { margin: 0 auto; display: block; }

    .detail__image.align-stretch figcaption { max-width: 660px; margin-left: auto; margin-right: auto; }

.article-editor tbody { max-height: none; border: 0; }

    .article-editor tbody tr:nth-child(even) td { background: none; }

.article-editor table:before { background: none; }

.news-avatar { text-align: center; margin-bottom: 20px; }
.photo-gallery { margin-bottom: 0px; }
.photo-gallery-caption { color: #808080; padding: 0 24px; font-size: 16px; margin-top: 8px; margin-bottom: 16px; text-align: center; font-style: italic; }

.object-embed .embed-item { margin-bottom: 18px; }
    .object-embed .embed-item:last-child { margin-bottom: 0; }
.text-right { text-align: right; }
.object-embed.item-quantity-1, .object-embed.item-quantity-2, .object-embed.item-quantity-3 { border: 0; padding: 0 }
    .object-embed.item-quantity-1 .embed-item, .object-embed.item-quantity-2 .embed-item, .object-embed.item-quantity-3 .embed-item { padding: 15px; border: solid 1px #ddd; border-radius: 8px; display: inline-block; width: 100%; position: relative; }
        .object-embed.item-quantity-1 .embed-item > a, .object-embed.item-quantity-2 .embed-item > a, .object-embed.item-quantity-3 .embed-item > a { float: left; display: inline-block; width: auto !important; }
    .object-embed.item-quantity-1 .button-event__read, .object-embed.item-quantity-2 .button-event__read, .object-embed.item-quantity-3 .button-event__read { margin-top: auto; position: absolute; right: 15px; bottom: 15px; }
.object-embed.align-left .button-event__read, .object-embed.align-right .button-event__read { position: initial !important; }
.article-detail-section--font-md .article-editor figcaption { font-style: italic; color: #808080; }
.article-editor td { border: solid 1px #ccc; }
.article-editor table { margin-bottom: 18px; }
.banner-longform__inner { margin: 0 auto; display: block; text-align: center; }